Skip to content

高级 Google SERP 数据库 ​

GET /v3/dataforseo_labs/locations_and_languages

高级 Google SERP 数据库以 JSON 格式提供大规模搜索结果页数据,并丰富的 SERP 特征信息,例如精选摘要、知识图谱、“人还问了”、热门新闻、购物结果、视频、地图、本地服务和 AI 概览等。

除指标和 SERP素结构化数据外,数据库还为自然搜索结果提供页面排名和主域名排名信息。数据库支持 JSON 格式。

数据格式与适用范围 ​

  • 数据格式:JSON
  • 数据维度:、位置、语言、指标、SERP 特征及 SERP素
  • 位置和语言:通过 location 与 language 字段标识
  • 更新信息:数据和 SERP 数据分别提供最近更新时间及上一次更新时间
  • SERP 校验:可使用 check_url 访问对应搜索结果,核验返回数据

数据库价格取决于数据库的大小和位置参数。扣费以响应头 X-SeerMarTech-Charge-CNY 为准。

位置与语言 ​

可通过以下接口获取支持的位置和语言列表:

http
POST https://api.seermartech.cn/v3/dataforseo_labs/locations_and_languages

请求示例:

bash
curl --request POST \
  --url https://api.seermartech.cn/v3/dataforseo_labs/locations_and_languages \
  --header 'Authorization: Bearer smt_live_YOUR_KEY' \
  --header 'Content-Type: application/json' \
  --data '[{}]'

返回结果中的:

  • location_code 对应数据库中的 location
  • language_code 对应数据库中的 language
  • 示例:2840 表示美国,en 表示英语

数据库字段 ​

顶层字段 ​

字段类型说明
keywordstring,使用 UTF-8 编码
locationinteger位置代码
languagestring语言代码
spellstring搜索引擎自动修正后的;未修正时通常为 null
spell_typestring自动修正类型
keyword_infoobject返回的指标
serp_infoobject返回的 SERP 数据
extraobject补信息
search_intent_infoobject搜索意图信息

spell_type 支持以下值:

  • did_you_mean
  • showing_results_for
  • no_results_found_for
  • including_results_for

keyword_info:指标 ​

字段类型说明
search_volumeinteger平均月搜索量,表示指定在对应位置的近似搜索次数
cpcfloat历史平均每次点击费用。该值基于广告平台提供的高位首页出价数据计算,原始货币单位为
competitionfloat付费搜索竞争度,取值范围为 0 至 1
competition_levelstring付费 SERP 竞争等级,可选值为 LOW、MEDIUM、HIGH;未知时为 null
low_top_of_page_bidfloat广告展示在首页顶部所需的较低估算出价,通常高于约 20% 的最低展示出价
high_top_of_page_bidfloat广告展示在首页顶部所需的较高估算出价,通常高于约 80% 的最低展示出价
time_updatestring指标最近更新时间,使用 ISO 8601 格式
categoriesarray产品和服务类别
historyobject按月份记录的历史搜索量,键名通常为 YYYYMM

time_update 示例:

text
2020-09-12T00:07:43.0733218Z

history 示例:

json
{
  "202001": 50,
  "202002": 140,
  "202003": 90
}

serp_info:SERP 汇总信息 ​

字段类型说明
check_urlstring对应搜索结果页的直接 URL,可用于核验 SERP 数据
items_countintegerserp 数组中的结果数量
keyword_difficultyinteger排名难度,按 0 至 100 的对数尺度表示自然结果前十名的难度
se_results_countintegerSERP 中的结果总数
time_updatestringSERP 数据最近更新时间,使用 ISO 8601 格式
previous_updated_timestringSERP 数据上一次更新时间
item_typesarray当前 SERP 中出现的结果类型
serparray当前对应的 SERP素明细

item_types 可能以下值:

text
answer_box
app
carousel
multi_carousel
featured_snippet
google_flights
google_reviews
google_hotels
images
jobs
knowledge_graph
local_pack
hotels_pack
map
organic
paid
people_also_ask
related_searches
people_also_search
shopping
top_stories
twitter
video
events
recipes
top_sights
scholarly_articles
popular_products
questions_and_answers
find_results_on
stocks_box
commercial_units
local_services
math_solver
currency_box
product_considerations
short_videos
refine_products
perspectives
discussions_and_forums
compare_sites
ai_overview
third_party_reviews

extra:补信息 ​

字段类型说明
core_keywordstring同组中的核心;没有匹时为 null
synonym_clustering_algorithmstring同义词聚类算法
detected_languagestring系统识别出的语言
keyword_difficultyinteger排名难度,范围为 0 至 100

synonym_clustering_algorithm 支持:

  • keyword_metrics:基于 keyword_info 参数识别同义词
  • text_processing:基于文本处理算法识别同义词
  • null:没有识别出对应的同义词

search_intent_info:搜索意图 ​

字段类型说明
main_intentstring主要搜索意图
foreign_intentarray补搜索意图
last_updated_timestring搜索意图数据最近更新时间

搜索意图支持以下值:

  • informational:信息型
  • navigational:导航型
  • commercial:商业调研型
  • transactional:交易型

serp 通用字段 ​

serp 数组中的每个对象代表一个 SERP素。除专属字段外,许多还以下通用字段:

字段类型说明
typestringSERP素类型
positionstring素在 SERP 中的水平位置,可为 left 或 right
xpathstring素在页面中的 XPath
rank_groupinteger同类型中的组排名;不同类型之间不计算该排名
rank_absoluteinteger素在所有 SERP素中的绝对排名
is_newboolean与上一版本数据库相比是否为新
is_upboolean与上一版本相比排名是否上升
is_downboolean与上一版本相比排名是否下降
previous_rank_absoluteinteger上一次更新时的绝对排名
traffic_costfloat将估算自然搜索流量转化为付费搜索流量的月度估算成本
etvfloat估算月自然流量,通常由点击率与搜索量计算得出

:

text
traffic_cost ≈ etv × cpc
etv ≈ CTR × search_volume

通用链接、图片和价格对象 ​

许多 SERP素可能以下结构:

字段类型说明
linksarray站点链接或链接;没有时为 null
imagesarray素中的图片
highlightedarray结果描述中以粗体突出显示的词语
priceobject商品、服务或应用的价格信息
ratingobjectSERP 中展示的评分信息
related_resultarray同一域名下的结果
related_search_urlstring搜索 URL
cache_urlstring页面缓存 URL

price 对象字段:

字段类型说明
currentfloat当前价格
regularfloat未打折的常规价格
max_valuefloat价格范围中的最高价格
currencystring价格货币的 ISO 代码
is_price_rangeboolean是否为价格区间
displayed_pricestringSERP 中原始展示的价格文本

rating 对象字段:

字段类型说明
rating_typestring评分类型,可为 Max5、Percents 或 CustomMax
valueinteger/float评分值
votes_countinteger评价或投票数量
rating_maxinteger评分类型对应的最大值

主要 SERP素字段 ​

自然结果:organic ​

自然结果通常以下字段:

字段类型说明
titlestring结果标题
pre_snippetstring描述前附加的信息
descriptionstring结果描述
breadcrumbstringSERP 中显示的面屑
domainstring结果完整域名
main_domainstring去除子域名后的主域名
urlstring结果绝对 URL
relative_urlstring结果相对 URL
is_maliciousboolean是否被标记为恶意结果
is_imageboolean是否图片
is_videoboolean是否视频
is_featured_snippetboolean是否为精选摘要
extended_snippetstring描述后附加的信息
amp_versionboolean是否存在 AMP 版本
faqobjectFAQ 数据;该字段已废弃,始终为 null
extended_people_also_searcharray与结果的扩展搜索词
about_this_resultobject“此结果”信息;该字段已废弃,始终为 null
is_web_storyboolean是否为网页
timestampstring结果发布时间,UTC 格式
rank_infoobject页面和主域名排名信息

rank_info 字段:

字段类型说明
page_rankinteger页面排名,基于链接数据库中的节点排名计算
main_domain_rankinteger主域名排名,基于链接数据库中的节点排名计算

付费结果:paid ​

付费结果支持:

字段类型说明
titlestring广告标题
domainstring广告结果中的完整域名
descriptionstring广告描述
breadcrumbstring广告面屑
urlstring广告绝对 URL
main_domainstring主域名
relative_urlstring相对 URL
highlightedarray描述中的突出显示词
extra.ad_aclkstring广告标识符
extra.description_rowsarray扩展描述;没有时为 null
linksarray广告站点链接;没有时为 null
priceobject广告结果中的价格信息
rank_infoobject页面排名和主域名排名
字段类型说明
titlestring结果标题
featured_titlestring精选摘要来源页面标题
descriptionstring描述
tableobject结果表格;没有时为 null
table_headerarray表头
table_contentarray表格
domainstring来源完整域名
main_domainstring来源主域名
urlstring来源绝对 URL
relative_urlstring来源相对 URL
imagesarray图片信息
timestampstring发布时间
rank_infoobject页面和主域名排名

图片:images ​

字段类型说明
titlestring图片结果标题
urlstring图片搜索 URL
itemsarray图片明细
related_image_searchesarray图片搜索;字段已废弃,始终为 null

图片明细通常:

text
type
alt
url
image_url

视频、短视频和热门新闻 ​

video、short_videos、top_stories 的常见字段:

字段类型说明
itemsarray素的结果列表
sourcestring来源
titlestring标题
urlstringURL
domainstring来源域名
description / snippetstring描述或摘要
datestring发布日期或相对时间
timestampstring发布时间
image_urlstring图片 URL
amp_versionboolean是否存在 AMP 版本
badgesarray结果徽章

视频明细还可能:

text
source
title
url
timestamp

热门新闻明细还可能:

text
source
domain
title
date
amp_version
url
timestamp
image_url
badges

carousel 支持:

字段类型说明
titlestring轮播标题
itemsarray轮播项目;没有时为 null

轮播项目通常:

text
type
title
subtitle

multi_carousel 还支持:

text
items
multi_carousel_snippets

项目类型:

  • multi_carousel_element
  • multi_carousel_snippet

答案框:answer_box ​

字段类型说明
textarray答案文本;没有时为 null
linksarray答案框中的链接
typestring固定为 answer_box

搜索与“人还搜索了” ​

字段类型说明
itemsarray搜索项目
typestring固定为 related_searches
字段类型说明
titlestring素标题
itemsarray搜索项目
typestring固定为 people_also_search

“人还问了”:people_also_ask ​

字段类型说明
itemsarray问题列表
titlestring问题标题
seed_questionstring触发扩展结果的初始问题
expanded_elementarray展开的答案

展开可能:

text
type
featured_title
url
domain
title
description
images
timestamp
table

,type 可能为:

  • people_also_ask_element
  • people_also_ask_expanded_element
  • people_also_ask_ai_overview_expanded_element
  • ai_overview_element
  • ai_overview_video_element
  • ai_overview_table_element
  • ai_overview_expanded_element

本地结果:local_pack ​

字段类型说明
titlestring本地结果标题
descriptionstring商家描述
phonestring电话号码
booking_urlstring预约 URL
is_paidboolean是否为广告
ratingobject商家评分
domainstring结果域名
main_domainstring主域名
urlstring结果 URL
relative_urlstring相对 URL

知识图谱:knowledge_graph ​

知识图谱支持以下基础字段:

字段类型说明
titlestring知识图谱标题
subtitlestring副标题
descriptionstring描述
card_idstring卡片标识符
urlstringURL
logo_urlstring标识图片 URL
itemsarray知识图谱项目

知识图谱项目的 type括:

text
knowledge_graph_carousel_item
knowledge_graph_carousel_element
knowledge_graph_description_item
knowledge_graph_list_item
knowledge_graph_list_element
knowledge_graph_row_item
knowledge_graph_part_item
knowledge_graph_shopping_item
knowledge_graph_shopping_element
knowledge_graph_expanded_item
knowledge_graph_expanded_element
knowledge_graph_ai_overview_item
knowledge_graph_images_item
knowledge_graph_images_element

字段:

text
title
subtitle
text
description
url
domain
image_url
link
links
data_attrid
items
expanded_element
table
table_header
table_content

data_attrid 是搜索引擎定义的数据属性标识,例如:

text
action:listen_artist

AI 概览:ai_overview ​

字段类型说明
asynchronous_ai_overviewboolean是否异步加载;true 表示异步加载,false 表示从缓存加载
markdownstringMarkdown 格式的 AI 概览
itemsarrayAI 概览项目
referencesarray用于生成的参考页面
positionstring素位置
xpathstring素 XPath

AI 概览项目可能:

  • ai_overview_element
  • ai_overview_video_element
  • ai_overview_table_element
  • ai_overview_expanded_element
  • ai_overview_expanded_component
  • ai_overview_reference
  • images_element
  • link_element

常见字段:

text
title
text
snippet
markdown
links
images
references
components
source
domain
url
date
timestamp
image_url
table
table_header
table_content

参考信息 ai_overview_reference含:

字段类型说明
sourcestring参考来源名称或标题
domainstring参考域名
urlstring参考页面 URL
titlestring参考页面标题
textstring用于生成概览的页面文本片段

购物 ​

以下用于描述商品、商品推荐和购物结果:

text
shopping
popular_products
commercial_units
product_considerations
refine_products

常见字段:

text
title
items
url
domain
source
description
snippet
image_url
price
rating
marketplace
marketplace_url
seller
more_sellers
keyword
refine_type
consideration_category
expanded_element
related_searches
timestamp

商品标识 product_identifiers 可能:

字段类型说明
product_idstring商品在购物结果中的唯一标识
data_docidstringSERP 数据唯一标识
gidstring商品局标识

product_considerations_expanded_element 还可能:

text
featured_title
breadcrumb
snippet
domain
url
related_searches
timestamp
about_this_result

about_this_result 已废弃,始终为 null。

、地图和本地服务 ​

map ​

text
title
url
type
position
xpath
traffic_cost
rank_group
rank_absolute
etv

google_flights ​

text
type
title
url
items

项目类型为 google_flights_element,通常:

text
description
url

hotels_pack ​

字段类型说明
titlestring店结果标题
date_fromstring住日期,格式为 YYYY-MM-DD
date_tostring退房日期,格式为 YYYY-MM-DD
itemsarray指定日期的结果

项目可能:

text
title
url
desription
domain
rating
price
is_paid

> 注意:原始字段名 desription 保持不变,以容既有数据结构。

google_hotels ​

字段类型说明
hotel_identifierstring搜索引擎分的唯一标识
urlstring店 URL

local_services ​

字段类型说明
titlestring本地服务模块标题
urlstring模块 URL
domainstring域名
itemsarray本地服务结果
descriptionstring服务描述
ratingobject服务评分
profile_image_urlstring服务商头像或图片 URL

工作、事件、学术和社交 ​

jobs ​

工作结果项目可能:

text
title
description
author
job_posted_time
contract_type
salary
url
timestamp

events ​

事件结果项目可能:

text
title
snippet
url

scholarly_articles ​

学术结果项目可能:

text
title
url
author
description
rating

twitter ​

社交项目可能:

text
title
url
tweet
date
timestamp
items

discussions_and_forums ​

讨论结果项目可能:

text
title
url
domain
source
description
timestamp
posts_count

compare_sites ​

比较站点结果项目可能:

text
title
url
domain
image_url
source

third_party_reviews ​

第三方评价可能:

text
reviews_count
title
url
rating
rank_group
rank_absolute
position
xpath
traffic_cost
etv

财经与计算 ​

stocks_box ​

字段类型说明
titlestring股票结果标题
sourcestring数据来源
snippetstring股票摘要
priceobject抓取时的股票报价
urlstringURL
domainstring域名
tableobject结果表格
graphobject价格曲线数据

graph.items 中的类型为 graph_element,:

text
date
value

date 使用 yyyy-mm-ddThh:mm:ss 格式,value 表示对应时间的价格。previous_items 保存前一时间段的数据。

股票或汇率数据可能存在延迟,使用时应结合结果中的采集时间进行判断。

currency_box ​

字段类型说明
valueinteger换算数值
converted_valuefloat换算后的数值
currencystring原始货币
converted_currencystring目标货币
timestampstring结果时间
tableobject汇率表格
graphobject汇率变化数据

图表数据:

text
date
value
previous_items

math_solver ​

字段类型说明
titlestring数学表达式或问题
resultstring计算结果
itemsarray解题步骤

步骤类型为 math_solver_expanded_element,:

text
title
solution

应用、菜谱、景点和 ​

app ​

应用结果项目可能:

text
url
title
description
price

recipes ​

菜谱项目可能:

text
title
url
domain
source
description
time
rating

top_sights ​

景点项目可能:

text
title
url
description
rating

questions_and_answers ​

问答项目可能:

text
url
question_text
answer_text
source
votes

perspectives ​

观点项目可能:

text
title
description
url
domain
date
source
timestamp

short_videos ​

短视频项目可能:

text
title
url
domain
source

refine_products ​

商品细化搜索项目可能:

text
title
image_url
keyword
refine_type

数据示例 ​

以下示例展示数据库记录的主要结构。部分数组和对象为简化展示,返回以和位置为准。

json
{
  "keyword": "no deposit cash bonus",
  "location": 2840,
  "language": "en",
  "spell": null,
  "spell_type": null,
  "keyword_info": {
    "search_volume": 90,
    "cpc": 8.948175,
    "competition": 1,
    "competition_level": "HIGH",
    "low_top_of_page_bid": null,
    "high_top_of_page_bid": null,
    "time_update": "2020-09-12T00:07:43.0733218Z",
    "categories": [],
    "history": {
      "202001": 50,
      "202002": 140
    }
  },
  "serp_info": {
    "check_url": "https://www.google.com/search?q=example",
    "items_count": 84,
    "keyword_difficulty": 67,
    "se_results_count": 73,
    "time_update": "2022-04-03T14:23:56.6678836Z",
    "previous_updated_time": "2022-02-05T21:18:02.7517072Z",
    "item_types": [
      "organic",
      "featured_snippet",
      "knowledge_graph",
      "people_also_ask",
      "shopping",
      "ai_overview"
    ],
    "serp": [
      {
        "type": "organic",
        "title": "Example result",
        "description": "Example description",
        "domain": "example.com",
        "main_domain": "example.com",
        "url": "https://example.com/page",
        "relative_url": "/page",
        "is_new": false,
        "is_up": true,
        "is_down": false,
        "previous_rank_absolute": 5,
        "rank_info": {
          "page_rank": 148,
          "main_domain_rank": 634
        },
        "position": "left",
        "xpath": "/html/body/div",
        "traffic_cost": 0,
        "rank_group": 1,
        "rank_absolute": 4,
        "etv": 33.44
      },
      {
        "type": "ai_overview",
        "asynchronous_ai_overview": false,
        "markdown": "概览",
        "items": [
          {
            "type": "ai_overview_element",
            "title": "主要信息",
            "text": "SERP 中展示的概览文本",
            "images": null,
            "references": []
          }
        ],
        "position": "left",
        "xpath": "/html/body/div",
        "traffic_cost": 14.592,
        "rank_group": 1,
        "rank_absolute": 1,
        "etv": 145.92
      }
    ]
  },
  "extra": {
    "core_keyword": null,
    "synonym_clustering_algorithm": null,
    "detected_language": "en",
    "keyword_difficulty": 22
  },
  "search_intent_info": {
    "main_intent": "navigational",
    "foreign_intent": [],
    "last_updated_time": "2023-03-03T08:19:40.9387576Z"
  }
}

注意事项 ​

  1. null 表示当前记录没有对应数据;部分已废弃字段会始终返回 null。
  2. rank_group 在相同 type 的之间计算。
  3. rank_absolute 表示所有 SERP素中的绝对位置,不能与自然结果排名直接等同。
  4. etv、traffic_cost、cpc 等指标均为估算值,不应视为点击量或广告支出。
  5. timestamp、time_update、previous_updated_time 可能使用不同的时间格式,解析时应按字段说明处理。
  6. 图片 URL 可能指向原始资源,也可能指向本平台的存储地址。
  7. faq、about_this_result、related_image_searches 等字段已废弃,当前通常返回 null。
  8. 数据库为 JSON 格式,不提供 CSV 数据库文件。

实用场景 ​

  • 监测的 SERP 特征覆盖:统计精选摘要、知识图谱、问答、购物和 AI 概览等,判断获得特殊展示位的机会。
  • 评估自然结果的竞争强度:结合 keyword_difficulty、page_rank、main_domain_rank 和 rank_absolute,筛选适合建设的。
  • 分析搜索意图与类型匹度:使用 search_intent_info 和 item_types 区分信息型、商业型及交易型,优化落地页和结构。
  • 开展本地 SEO 竞品研究:分析 local_pack、local_services、map 和 google_reviews 数据,比较本地商家的排名、评分和评价数量。
  • 挖掘电商 SERP 机会:利用 shopping、popular_products、commercial_units、product_considerations 和 refine_products 字段,识别商品展示、价格和搜索机会。

统一入口:官网 · LLM API · 控制台